/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.widget.graph;

import java.awt.Point;

public class GraphPoint extends Point {
    private int x;
    private int y;

    public GraphPoint(String s) {
        int index = s.indexOf(",");
        Integer xInt = new Integer(s.substring(0, index));
        Integer yInt = new Integer(s.substring(index+1, s.length()));
        x = xInt.intValue();
        y = yInt.intValue();
    }
    public String toString() {
        return new String(x + "," + y);
    }

    public int getXInt() {
        return x;
    }

    public int getYInt() {
        return y;
    }

    /*public static void main(String[] args) {
        String s = new String("10,20");

        InstanceGraphPoint p = new InstanceGraphPoint(s);
        System.out.println(p);

        InstanceGraphPoint q = new InstanceGraphPoint(p.toString());
        System.out.println(q);
    }*/
}